Package net.dona.doip

# Class DoipConstants

java.lang.Object
net.dona.doip.DoipConstants

public class DoipConstants extends Object
Constants useful in processing DOIP messages.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MESSAGE_ATT`
  The key for a message in the error output of a DOIP server response.
  `static final String`
  `OP_CREATE`
  Create a digital object.
  `static final String`
  `OP_DELETE`
  Delete a digital object.
  `static final String`
  `OP_HELLO`
  Provides a target digital object provided along with this operation ID in a DOIP request.
  `static final String`
  `OP_LIST_OPERATIONS`
  List operations associated with a target digital object provided along with this operation ID in a DOIP request.
  `static final String`
  `OP_RETRIEVE`
  Retrieve a digital object
  `static final String`
  `OP_SEARCH`
  Search for digital objects.
  `static final String`
  `OP_UPDATE`
  Update a digital object.
  `static final String`
  `STATUS_BAD_REQUEST`
  There was something wrong with the structure or content of the request.
  `static final String`
  `STATUS_CONFLICT`
  There was a conflict preventing the request from being executed.
  `static final String`
  `STATUS_DECLINED`
  There was something wrong with the structure or content of the request.
  `static final String`
  `STATUS_ERROR`
  There was an interval server error.
  `static final String`
  `STATUS_FORBIDDEN`
  The client was not permitted to perform the attempted operation.
  `static final String`
  `STATUS_NOT_FOUND`
  The requested digital object could not be found.
  `static final String`
  `STATUS_OK`
  The request was processed successfully.
  `static final String`
  `STATUS_UNAUTHENTICATED`
  The client must authenticate to perform the attempted operation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoipConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_OK

    public static final String STATUS_OK
    The request was processed successfully.
    See Also:
      - Constant Field Values

  - ### STATUS_BAD_REQUEST

    public static final String STATUS_BAD_REQUEST
    There was something wrong with the structure or content of the request.
    See Also:
      - Constant Field Values

  - ### STATUS_UNAUTHENTICATED

    public static final String STATUS_UNAUTHENTICATED
    The client must authenticate to perform the attempted operation.
    See Also:
      - Constant Field Values

  - ### STATUS_FORBIDDEN

    public static final String STATUS_FORBIDDEN
    The client was not permitted to perform the attempted operation.
    See Also:
      - Constant Field Values

  - ### STATUS_NOT_FOUND

    public static final String STATUS_NOT_FOUND
    The requested digital object could not be found.
    See Also:
      - Constant Field Values

  - ### STATUS_CONFLICT

    public static final String STATUS_CONFLICT
    There was a conflict preventing the request from being executed.
    See Also:
      - Constant Field Values

  - ### STATUS_DECLINED

    public static final String STATUS_DECLINED
    There was something wrong with the structure or content of the request.
    See Also:
      - Constant Field Values

  - ### STATUS_ERROR

    public static final String STATUS_ERROR
    There was an interval server error.
    See Also:
      - Constant Field Values

  - ### OP_HELLO

    public static final String OP_HELLO
    Provides a target digital object provided along with this operation ID in a DOIP request.
    See Also:
      - Constant Field Values

  - ### OP_LIST_OPERATIONS

    public static final String OP_LIST_OPERATIONS
    List operations associated with a target digital object provided along with this operation ID in a DOIP request.
    See Also:
      - Constant Field Values

  - ### OP_CREATE

    public static final String OP_CREATE
    Create a digital object.
    See Also:
      - Constant Field Values

  - ### OP_RETRIEVE

    public static final String OP_RETRIEVE
    Retrieve a digital object
    See Also:
      - Constant Field Values

  - ### OP_UPDATE

    public static final String OP_UPDATE
    Update a digital object.
    See Also:
      - Constant Field Values

  - ### OP_DELETE

    public static final String OP_DELETE
    Delete a digital object.
    See Also:
      - Constant Field Values

  - ### OP_SEARCH

    public static final String OP_SEARCH
    Search for digital objects.
    See Also:
      - Constant Field Values

  - ### MESSAGE_ATT

    public static final String MESSAGE_ATT
    The key for a message in the error output of a DOIP server response.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DoipConstants

    public DoipConstants()